# QVM: Quaternions, Vectors, Matrices

### operator-=(vec,vec)

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_vec<B>::value &&
            //  vec_traits<A>::dim==vec_traits<B>::dim
            template <class A,class B>
            A & operator-=( A & a, B const & b );
        }
    }

#### Effects:

Subtracts the elements of b from the corresponding elements of a.

#### Returns:

a.

See also: boost/qvm/vec_operations.hpp